Summary: sme server crontab maanger
%define name smeserver-crontab_manager
Name: %{name}
%define version 2.0
%define release 1
Version: %{version}
Release: %{release}
Copyright: Freely distributable
Group: Service
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
Packager: Jean-Philippe Pialasse <test@pialasse.com>
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: e-smith-base, e-smith-lib, e-smith >= 4.1
AutoReqProv: no

%changelog
* Wed May 26 2010 Jean-Philippe Pialasse <tests@pialasse.com>
- fix expand-template /etc/crontab needed for sme7

* Mon Jan 07 2008 Michel van hees <michel@vanhees.cc>
- Thanks t Sylvain Gomez to fix problem with french traduction

* Fri Aug 03 2007 Michel Van hees <michel@vanhees.cc>
- Fix bug with error 403 in panels

* Mon Jul 16 2007 Michel Van hees <michel@vanhees.cc>
- Thanks to Sulvain Gomez that fixes the uninstall procedure.

* Sun Jan 01 2005 Michel Van hees <michel@vanhees.cc>
- Added support of french

* Mon Oct 11 2004 Michel Van hees <michel@vanhees.cc>
- Initial release

%description
sme server administration panel to control crontab

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
#/sbin/e-smith/db configuration delete cronmanager
#/sbin/e-smith/expand-template /etc/crontab

%post
var=`/sbin/e-smith/db configuration getprop sysconfig ReleaseVersion|cut -c1`
if [ $var = "6" -o $var = "7" ]
then
/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1
fi
/sbin/e-smith/db configuration set cronmanager configuration

%postun
var=`/sbin/e-smith/db configuration getprop sysconfig ReleaseVersion|cut -c1`
if [ $var = "6" -o $var = "7" ]
then
/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1
fi
/sbin/e-smith/db configuration delete cronmanager

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
